---
%title Le document 2.0
%author François Pelletier
%date 7 décembre 2017
---

# Le document 2.0

## Accueil

__Bienvenue !!!__

Objectifs de cet atelier:

1. Partager ma méthode de travail pour créer des documents
1. Présenter une méthodologie de travail axée sur le minimalisme
1. Présenter les avantages de travailler avec des formats ouverts et des outils libres

## Ordre du jour

1. La syntaxe Markdown
1. Les thèmes Bootstrap
1. L'outil de conversion de documents Pandoc

## Markdown

- Markdown est une syntaxe simple pour écrire des textes et de la documentation. 
- C'est un langage de balisage léger, beaucoup plus simple que le HTML et le LaTeX.
- Cette syntaxe permet la création de documents source lisibles par l'humain. 
- Elle est inspirée de plusieurs notations utilisées dans les courriels avant l'utilisation massive du HTML.
- La documentation complète de Markdown tient dans une seule page: [cheat sheet](https://warpedvisions.org/projects/markdown-cheat-sheet/)

## Conversion du Markdown

Markdown est concu pour être converti en d'autres formats facilement:

- [HTML](https://www.w3schools.com/html/default.asp): Site web prêt à mettre en ligne)
- [PDF](https://fr.wikipedia.org/wiki/Portable_Document_Format): Documents imprimables et diapositives.
- [LaTeX](https://www.latex-project.org//): Documents scientifiques et publications professionnelles
- [ODT](https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=office): Format ouvert de document pour le traitement de texte utilisé par LibreOffice, OpenOffice, Google Docs. Assure la pérennité de l'information
- [Office Open XML](https://en.wikipedia.org/wiki/Office_Open_XML) (fichiers .docx): Format commun de bureautique (très mauvaise compatibilité)
- MediaWiki: Syntaxe de documentation collaborative, utilisée par Wikipédia et autres

## Les _saveurs_ de Markdown

Attention: Il n'existe pas de standard de Markdown

- Il y a par contre peu de différences entre celles-ci, ce sont surtout des ajouts pour des besoins précis

Quelques _saveurs_:

- [GitHub](https://guides.github.com/pdfs/markdown-cheatsheet-online.pdf): Utilisée sur ce réseau social pour développeurs
- [R Markdown](http://rmarkdown.rstudio.com/): Utilisé pour créer des rapports statistiques très élégants (C'est ce qu'on utilise dans mon équipe)
- [Pandoc Markdown](http://rmarkdown.rstudio.com/authoring_pandoc_markdown.html): Utile pour créer des documents riches dans plusieurs formats de façon automatisée.


## La syntaxe

La documentation de la syntaxe Markdown peut facilement être trouvée en ligne. Une version française se trouve ici:

- [Traduction de la documentation en français](https://michelf.ca/projets/php-markdown/syntaxe/)

## Quel éditeur utiliser?

- Pour les minimalistes, le bloc-notes de Windows peut amplement suffire.
- Plusieurs éditeurs de code permettent d'utiliser Markdown plus aisément:
    - Atom
    - Visual Studio Code
    - Remarkable
    - RStudio

## Atom

[Atom](https://atom.io/): Éditeur de texte pour le 21e siècle!

![](atom-markdown.png)

## Visual Studio

[Visual Studio Code](https://code.visualstudio.com) est un éditeur libre, moderne et tres performant développé par la communauté et Microsoft.

![](0_9_0_openpreviewside.png)

Je recommande Visual Studio Code. Il est disponible sur tous les environnements de bureau et existe aussi en version portable afin de contourner les restrictions d'entreprise.

## Remarkable

Remarkable est un éditeur simple et convivial pour la syntaxe Markdown

[Remarkable sur GitHub](https://github.com/jamiemcg/remarkable)

![](remarkable.png)

## RStudio

RStudio est d'abord un environnement de développement intégré (IDE) pour le langage statistique R, mais il est aussi un excellent éditeur markdown. Il supporte aussi sa propre syntaxe RMarkdown pour la production de rapports statistiques et de documents interactifs.

![](rmdint-template.png)

[RStudio RMarkdown](http://rmarkdown.rstudio.com/)
